Name:           candlepin-guice
Version:        3.0
Release:        2_redhat_1.el7
Summary:        Dependency Injection Framework
Group:          Development/Libraries
License:        ASL 2.0
URL:            http://code.google.com/p/google-guice/
# svn export -r 1576 http://google-guice.googlecode.com/svn/tags/3.0 google-guice-%{namedversion} && tar cjf google-guice-%{namedversion}.tar.bz2 google-guice-%{namedversion}
Source1: guice-assistedinject-3.0-redhat-1-sources.jar
Source2: guice-assistedinject-3.0-redhat-1-tests.jar
Source3: guice-assistedinject-3.0-redhat-1.jar
Source5: guice-grapher-3.0-redhat-1-sources.jar
Source6: guice-grapher-3.0-redhat-1-tests.jar
Source7: guice-grapher-3.0-redhat-1.jar
Source9: guice-jmx-3.0-redhat-1-sources.jar
Source10: guice-jmx-3.0-redhat-1-tests.jar
Source11: guice-jmx-3.0-redhat-1.jar
Source13: guice-jndi-3.0-redhat-1-sources.jar
Source14: guice-jndi-3.0-redhat-1-tests.jar
Source15: guice-jndi-3.0-redhat-1.jar
Source17: guice-multibindings-3.0-redhat-1-sources.jar
Source18: guice-multibindings-3.0-redhat-1-tests.jar
Source19: guice-multibindings-3.0-redhat-1.jar
Source21: guice-persist-3.0-redhat-1-sources.jar
Source22: guice-persist-3.0-redhat-1-tests.jar
Source23: guice-persist-3.0-redhat-1.jar
Source25: guice-servlet-3.0-redhat-1-sources.jar
Source26: guice-servlet-3.0-redhat-1-tests.jar
Source27: guice-servlet-3.0-redhat-1.jar
Source29: guice-spring-3.0-redhat-1-sources.jar
Source30: guice-spring-3.0-redhat-1-tests.jar
Source31: guice-spring-3.0-redhat-1.jar
Source33: guice-throwingproviders-3.0-redhat-1-sources.jar
Source34: guice-throwingproviders-3.0-redhat-1-tests.jar
Source35: guice-throwingproviders-3.0-redhat-1.jar
Source37: guice-3.0-redhat-1-no_aop.jar
Source38: guice-3.0-redhat-1-no_deps.jar
Source39: guice-3.0-redhat-1-sources.jar
Source40: guice-3.0-redhat-1-tests.jar
Source41: guice-3.0-redhat-1.jar
Source43: guice-parent-3.0-redhat-1-javadoc.jar
BuildArch: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

# this actually disables jar repacking
%global __jar_repack 1

%description
Put simply, Guice alleviates the need for factories and the
use of new in your Java code. Think of Guice's @Inject as 
the new new. You will still need to write factories in some
cases, but your code will not depend directly on them. Your
code will be easier to change, unit test and reuse in other
contexts.

Guice embraces Java's type safe nature, especially when it 
comes to features introduced in Java 5 such as generics and
annotations. You might think of Guice as filling in missing
features for core Java. Ideally, the language itself would 
provide most of the same features, but until such a 
language comes along, we have Guice.

%prep

%build

%install
%{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE2} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE3} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE5} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE6} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE7} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE9} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE10} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE11} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE13} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE14} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE15} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE17} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE18} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE19} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE21} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE22} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE23} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE25} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE26} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE27} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE29} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE30} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE31} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE33} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE34} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE35} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE37} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE38} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE39} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE40} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE41} %{buildroot}%{_javadir}/%{name}
%{__install} -m 644 -p %{SOURCE43} %{buildroot}%{_javadir}/%{name}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_javadir}/%{name}

%changelog
* Tue May 13 2014 Mike Bonnet <mikeb@redhat.com> - 3.0-2_redhat_1.el7
- Initial build
